  
HttpProgress = (function () {
  var cls = function HttpProgress() {
      this.stage = new HttpProgressStage();
      this.bytesSent = new Number();
      this.totalBytesToSend = new Number();
      this.bytesReceived = new Number();
      this.totalBytesToReceive = new Number();
      this.retries = new Number();
    };
  return cls;
}) ();
exports.HttpProgress = HttpProgress;


_HttpVersion = function () {
  this.none = 0;
  this.http10 = 1;
  this.http11 = 2;
}
exports.HttpVersion = new _HttpVersion();

_HttpCompletionOption = function () {
  this.responseContentRead = 0;
  this.responseHeadersRead = 1;
}
exports.HttpCompletionOption = new _HttpCompletionOption();

_HttpStatusCode = function () {
  this.none = 0;
  this.continue = 1;
  this.switchingProtocols = 2;
  this.processing = 3;
  this.ok = 4;
  this.created = 5;
  this.accepted = 6;
  this.nonAuthoritativeInformation = 7;
  this.noContent = 8;
  this.resetContent = 9;
  this.partialContent = 10;
  this.multiStatus = 11;
  this.alreadyReported = 12;
  this.iMUsed = 13;
  this.multipleChoices = 14;
  this.movedPermanently = 15;
  this.found = 16;
  this.seeOther = 17;
  this.notModified = 18;
  this.useProxy = 19;
  this.temporaryRedirect = 20;
  this.permanentRedirect = 21;
  this.badRequest = 22;
  this.unauthorized = 23;
  this.paymentRequired = 24;
  this.forbidden = 25;
  this.notFound = 26;
  this.methodNotAllowed = 27;
  this.notAcceptable = 28;
  this.proxyAuthenticationRequired = 29;
  this.requestTimeout = 30;
  this.conflict = 31;
  this.gone = 32;
  this.lengthRequired = 33;
  this.preconditionFailed = 34;
  this.requestEntityTooLarge = 35;
  this.requestUriTooLong = 36;
  this.unsupportedMediaType = 37;
  this.requestedRangeNotSatisfiable = 38;
  this.expectationFailed = 39;
  this.unprocessableEntity = 40;
  this.locked = 41;
  this.failedDependency = 42;
  this.upgradeRequired = 43;
  this.preconditionRequired = 44;
  this.tooManyRequests = 45;
  this.requestHeaderFieldsTooLarge = 46;
  this.internalServerError = 47;
  this.notImplemented = 48;
  this.badGateway = 49;
  this.serviceUnavailable = 50;
  this.gatewayTimeout = 51;
  this.httpVersionNotSupported = 52;
  this.variantAlsoNegotiates = 53;
  this.insufficientStorage = 54;
  this.loopDetected = 55;
  this.notExtended = 56;
  this.networkAuthenticationRequired = 57;
}
exports.HttpStatusCode = new _HttpStatusCode();

_HttpProgressStage = function () {
  this.none = 0;
  this.detectingProxy = 1;
  this.resolvingName = 2;
  this.connectingToServer = 3;
  this.negotiatingSsl = 4;
  this.sendingHeaders = 5;
  this.sendingContent = 6;
  this.waitingForResponse = 7;
  this.receivingHeaders = 8;
  this.receivingContent = 9;
}
exports.HttpProgressStage = new _HttpProgressStage();

_HttpResponseMessageSource = function () {
  this.none = 0;
  this.cache = 1;
  this.network = 2;
}
exports.HttpResponseMessageSource = new _HttpResponseMessageSource();

HttpRequestMessage = (function () {
  var cls = function HttpRequestMessage() {
    this.requestUri = new Object();
    this.method = new HttpMethod();
    this.content = new IHttpContent();
    this.headers = new Object();
    this.properties = new Object();
    this.transportInformation = new HttpTransportInformation();
  };
  
var cls = function HttpRequestMessage(method, uri) {
      this.requestUri = new Object();
      this.method = new HttpMethod();
      this.content = new IHttpContent();
      this.headers = new Object();
      this.properties = new Object();
      this.transportInformation = new HttpTransportInformation();
};


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpRequestMessage = HttpRequestMessage;

HttpResponseMessage = (function () {
  var cls = function HttpResponseMessage() {
    this.version = new HttpVersion();
    this.statusCode = new HttpStatusCode();
    this.source = new HttpResponseMessageSource();
    this.requestMessage = new HttpRequestMessage();
    this.reasonPhrase = new String();
    this.content = new IHttpContent();
    this.headers = new Object();
    this.isSuccessStatusCode = new Boolean();
  };
  
var cls = function HttpResponseMessage(statusCode) {
      this.version = new HttpVersion();
      this.statusCode = new HttpStatusCode();
      this.source = new HttpResponseMessageSource();
      this.requestMessage = new HttpRequestMessage();
      this.reasonPhrase = new String();
      this.content = new IHttpContent();
      this.headers = new Object();
      this.isSuccessStatusCode = new Boolean();
};


  cls.prototype.ensureSuccessStatusCode = function ensureSuccessStatusCode() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="HttpResponseMessage" />
    /// </signature>
    return new HttpResponseMessage();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpResponseMessage = HttpResponseMessage;

HttpClient = (function () {
  var cls = function HttpClient() {
    this.defaultRequestHeaders = new Object();
  };
  
var cls = function HttpClient(filter) {
      this.defaultRequestHeaders = new Object();
};


  cls.prototype.deleteAsync = function deleteAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.getAsync = function getAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }

cls.prototype.getAsync = function getAsync(uri, completionOption, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="completionOption" type="HttpCompletionOption">A param.</param>
    /// </signature>
  }


  cls.prototype.getBufferAsync = function getBufferAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.getInputStreamAsync = function getInputStreamAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.getStringAsync = function getStringAsync(uri, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.postAsync = function postAsync(uri, content, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// </signature>
  }


  cls.prototype.putAsync = function putAsync(uri, content, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// </signature>
  }


  cls.prototype.sendRequestAsync = function sendRequestAsync(request, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="request" type="HttpRequestMessage">A param.</param>
    /// </signature>
  }

cls.prototype.sendRequestAsync = function sendRequestAsync(request, completionOption, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="request" type="HttpRequestMessage">A param.</param>
    /// <param name="completionOption" type="HttpCompletionOption">A param.</param>
    /// </signature>
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpClient = HttpClient;

IHttpContent = (function () {
  var cls = function IHttpContent() {
    this.headers = new Object();
  };
  

  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  return cls;
}) ();
exports.IHttpContent = IHttpContent;

HttpCookie = (function () {
  var cls = function HttpCookie() {
    this.value = new String();
    this.secure = new Boolean();
    this.httpOnly = new Boolean();
    this.expires = new Date();
    this.domain = new String();
    this.name = new String();
    this.path = new String();
  };
  
var cls = function HttpCookie(name, domain, path) {
      this.value = new String();
      this.secure = new Boolean();
      this.httpOnly = new Boolean();
      this.expires = new Date();
      this.domain = new String();
      this.name = new String();
      this.path = new String();
};


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpCookie = HttpCookie;

HttpCookieCollection = (function () {
  var cls = function HttpCookieCollection() {
  };
  

  cls.prototype.getAt = function getAt(index) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="index" type="Number">A param.</param>
    /// <returns type="HttpCookie" />
    /// </signature>
    return new HttpCookie();
  }


  cls.prototype.indexOf = function indexOf(value, index) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="value" type="HttpCookie">A param.</param>
    /// <param name="index" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.getMany = function () {
}

  cls.prototype.first = function first() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.HttpCookieCollection = HttpCookieCollection;

HttpMethod = (function () {
  var cls = function HttpMethod() {
    this.method = new String();
  };
  
var cls = function HttpMethod(method) {
      this.method = new String();
};


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  cls.delete = new HttpMethod();
  cls.get = new HttpMethod();
  cls.head = new HttpMethod();
  cls.options = new HttpMethod();
  cls.patch = new HttpMethod();
  cls.post = new HttpMethod();
  cls.put = new HttpMethod();
  return cls;
}) ();
exports.HttpMethod = HttpMethod;

HttpTransportInformation = (function () {
  var cls = function HttpTransportInformation() {
    this.serverCertificate = new Object();
    this.serverCertificateErrorSeverity = new Number();
    this.serverCertificateErrors = new Object();
    this.serverIntermediateCertificates = new Object();
  };
  

  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpTransportInformation = HttpTransportInformation;

HttpStringContent = (function () {
  var cls = function HttpStringContent() {
    this.headers = new Object();
  };
  
var cls = function HttpStringContent(content) {
      this.headers = new Object();
};

var cls = function HttpStringContent(content, encoding) {
      this.headers = new Object();
};

var cls = function HttpStringContent(content, encoding, mediaType) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpStringContent = HttpStringContent;

HttpBufferContent = (function () {
  var cls = function HttpBufferContent() {
    this.headers = new Object();
  };
  
var cls = function HttpBufferContent(content) {
      this.headers = new Object();
};

var cls = function HttpBufferContent(content, offset, count) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpBufferContent = HttpBufferContent;

HttpStreamContent = (function () {
  var cls = function HttpStreamContent() {
    this.headers = new Object();
  };
  
var cls = function HttpStreamContent(content) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpStreamContent = HttpStreamContent;

HttpFormUrlEncodedContent = (function () {
  var cls = function HttpFormUrlEncodedContent() {
    this.headers = new Object();
  };
  
var cls = function HttpFormUrlEncodedContent(content) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpFormUrlEncodedContent = HttpFormUrlEncodedContent;

HttpMultipartContent = (function () {
  var cls = function HttpMultipartContent() {
    this.headers = new Object();
  };
  
var cls = function HttpMultipartContent(subtype) {
      this.headers = new Object();
};

var cls = function HttpMultipartContent(subtype, boundary) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.add = function add(content) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// </signature>
  }


  cls.prototype.first = function first() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpMultipartContent = HttpMultipartContent;

HttpMultipartFormDataContent = (function () {
  var cls = function HttpMultipartFormDataContent() {
    this.headers = new Object();
  };
  
var cls = function HttpMultipartFormDataContent(boundary) {
      this.headers = new Object();
};


  cls.prototype.bufferAllAsync = function bufferAllAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsBufferAsync = function readAsBufferAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsInputStreamAsync = function readAsInputStreamAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.readAsStringAsync = function readAsStringAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.writeToStreamAsync = function writeToStreamAsync(outputStream, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="outputStream" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.tryComputeLength = function tryComputeLength(length) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="length" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.close = function close() {
}


  cls.prototype.add = function add(content) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// </signature>
  }

cls.prototype.add = function add(content, name) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// <param name="name" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.add = function add(content, name, fileName) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="content" type="IHttpContent">A param.</param>
    /// <param name="name" type="String">A param.</param>
    /// <param name="fileName" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.first = function first() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.toString = function toString() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="String" />
    /// </signature>
    return new String();
  }


  return cls;
}) ();
exports.HttpMultipartFormDataContent = HttpMultipartFormDataContent;

HttpCookieManager = (function () {
  var cls = function HttpCookieManager() {
  };
  

  cls.prototype.setCookie = function setCookie(cookie) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="cookie" type="HttpCookie">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }

cls.prototype.setCookie = function setCookie(cookie, thirdParty) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="cookie" type="HttpCookie">A param.</param>
    /// <param name="thirdParty" type="Boolean">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.deleteCookie = function deleteCookie(cookie) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="cookie" type="HttpCookie">A param.</param>
    /// </signature>
  }


  cls.prototype.getCookies = function getCookies(uri) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="uri" type="Object">A param.</param>
    /// <returns type="HttpCookieCollection" />
    /// </signature>
    return new HttpCookieCollection();
  }


  return cls;
}) ();
exports.HttpCookieManager = HttpCookieManager;

